"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.merge = void 0;
const lodash_1 = require("lodash");
function customizer(objValue, srcValue) {
    if (Array.isArray(objValue)) {
        const newValue = new Set(objValue.concat(srcValue));
        return Array.from(newValue);
    }
}
exports.merge = (object, other) => {
    lodash_1.mergeWith(object, other, customizer);
    return object;
};
