"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.autoFixOption = void 0;
const stackChoose = {
    type: 'list',
    name: 'stack',
    message: '请选择项目的技术栈',
    choices: [
        {
            name: 'Vue',
            value: 'vue'
        },
        {
            name: 'None',
            value: 'none'
        }
    ]
};
const tsPrompt = {
    type: 'confirm',
    name: 'typescript',
    message: '项目中是否使用到了 typescript？',
    default: false
};
const autoFixConfirm = {
    type: 'confirm',
    name: 'autoFix',
    message: '是否需要将目前项目中不符合规范的文件自动修正？',
    default: true
};
const overridesConfirm = {
    type: 'confirm',
    name: 'overrides',
    message: '本次操作将会更新 package.json，并覆盖目录中的 eslint，prettier 配置文件，是否继续？',
    default: true
};
const options = [stackChoose, tsPrompt, autoFixConfirm, overridesConfirm];
exports.default = options;
exports.autoFixOption = [autoFixConfirm];
